#include "sudoku.hpp"
#include <iostream>

int main(int argc, char* argv[]) {
    if (argc != 2) {
        std::cerr << "Usage: " << argv[0] << " path/to/sudoku" << std::endl;
        return 1;
    }
    Sudoku newGame;
    newGame.FillBoard(argv[1]);
    newGame.Solve();
    newGame.Print();
    return 0;
}
